Bug 106525 - Implement ADO rowset XML import filter
Summary: Implement ADO rowset XML import filter
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Mike Kaganski
QA Contact:
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-14 06:44 UTC by Mike Kaganski
Modified: 2017-07-14 13:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
A rowset XML from [MS-PRSTFR] - v20160914 ch.3.2 (1.57 KB, text/xml)
2017-03-14 12:10 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2017-03-14 06:44:29 UTC
There are online services and management systems (like SharePoint) that allow to export datasets in ADO rowset XML format ([MS-PRSTFR], https://msdn.microsoft.com/en-us/library/cc313112). Usually they are intended to be open with MS Excel as a spreadsheet (with autofilter).

This enhancement is to allow such data to be open in Calc.
Comment 1 Mike Kaganski 2017-03-14 06:52:01 UTC
A patch submitted to gerrit: https://gerrit.libreoffice.org/35159
Comment 2 Mike Kaganski 2017-03-14 12:10:56 UTC
Created attachment 131878 [details]
A rowset XML from [MS-PRSTFR] - v20160914 ch.3.2

This is a sample to test.
Comment 3 Commit Notification 2017-04-05 05:19:12 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d6323a2180cf51f9bd6a62d50503c2e0ef0964f1

tdf#106525: Implement an XSLT import filter for ADO rowset XML

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-05-05 19:09:37 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d10be803ce0598489aa102953473fb9ea95db6e

tdf#106525: fix date import

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2017-07-14 13:27:06 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 6 Mike Kaganski 2017-07-14 13:30:21 UTC
Fixed, thanks for remainder :)